%global __requires_exclude_from ^/usr/share/cvs/contrib/

Summary:	A version control system
Name:		cvs
Version:	1.12.13
%define         subrel 1
Release:	%mkrel 26
License:	GPL
Group:		Development/Other
URL:		http://www.nongnu.org/cvs/
Source0:	http://ftp.gnu.org/non-gnu/cvs/source/stable/%{version}/cvs-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/non-gnu/cvs/source/stable/%{version}/cvs-%{version}.tar.bz2.sig
Source2: 	cvspserver
Source3: 	cvs.conf
Source4: 	cvs-xinetd
Patch0:		cvs-1.11.19-varargs.patch
Patch2: 	cvs-1.12.13-errno.patch
Patch4:		cvs-1.11.1-newline.patch
Patch5:		cvs-1.11.4-first-login.patch
Patch6:		cvs-1.11.19-cvsbug.patch
# Patch from cvs of cvs: 
# http://savannah.nongnu.org/bugs/?func=detailitem&item_id=14840
Patch7:     cvs-zlib-read.patch
Patch8:		cvs-1.12.13-format_not_a_string_literal_and_no_format_arguments.diff
Patch9:		cvs-1.12.13-CVE-2012-0804.diff
Patch10:        cvs-1.11.23-Fix-CVE-2017-12836.patch
Requires:	openssh-clients
Requires(post):	info-install
Requires(preun): info-install
BuildRequires:	autoconf2.5
BuildRequires:	krb5-devel
BuildRequires:	tcsh
BuildRequires:	texinfo-tex
BuildRequires:	zlib-devel
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	groff
BuildRequires:	vim-minimal

%description
CVS means Concurrent Version System; it is a version control
system which can record the history of your files (usually,
but not always, source code). CVS only stores the differences
between versions, instead of every version of every file
you've ever created. CVS also keeps a log of who, when and
why changes occurred, among other aspects.

CVS is very helpful for managing releases and controlling
the concurrent editing of source files among multiple
authors. Instead of providing version control for a
collection of files in a single directory, CVS provides
version control for a hierarchical collection of
directories consisting of revision controlled files.

These directories and files can then be combined together
to form a software release.

Install the cvs package if you need to use a version
control system.

%prep

%setup -q
%patch0 -p1 -b .varargs
%patch2 -p1 -b .errno
%patch4 -p1 -b .newline
%patch5 -p1 -b .first-login
%patch6 -p1 -b .cvsbug
%patch7 -p0 -b .zlib-read
%patch8 -p1 -b .format_not_a_string_literal_and_no_format_arguments
%patch9 -p0 -b .CVE-2012-0804
%patch10 -p1

%build
# http://qa.mandriva.com/show_bug.cgi?id=31848
%define _fortify_cflags %{nil}

export SENDMAIL="%{_sbindir}/sendmail"

%serverbuild

export CXXFLAGS="${CFLAGS}"
export CCFLAGS="${CFLAGS}"

%configure2_5x \
    --with-tmpdir=/tmp \
    --with-external-zlib

%make

pushd doc
    make ps
    make info
popd

%install
install -d %{buildroot}%{_sysconfdir}/xinetd.d
install -d %{buildroot}%{_sysconfdir}/cvs
install -d %{buildroot}%{_sbindir}

%makeinstall

install -m0755 %{SOURCE2} %{buildroot}%{_sbindir}/
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cvs
install -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/xinetd.d/%{name}

bzip2 -f doc/*.ps

# %check
# Disabling currently
# make check

%post
%_install_info %{name}.info
%_install_info cvsclient.info

%preun
%_remove_install_info %{name}.info

%_remove_install_info cvsclient.info

%files
%doc BUGS FAQ MINOR-BUGS NEWS PROJECTS TODO README
%doc doc/*.ps.bz2
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%dir %{_sysconfdir}/cvs
%config(noreplace) %{_sysconfdir}/cvs/cvs.conf
%{_bindir}/cvs
%{_bindir}/cvsbug
%{_bindir}/rcs2log
%{_sbindir}/cvspserver
%{_infodir}/cvs*
%{_datadir}/cvs
%{_mandir}/man1/cvs.1*
%{_mandir}/man5/cvs.5*
%{_mandir}/man8/cvsbug.8*


%changelog
* Wed Aug 16 2017 neoclust <neoclust> 1.12.13-26.1.mga6
+ Revision: 1141228
- Add P10 - Fixes CVE-2017-12836 (mga#21504)

* Tue Feb 02 2016 umeabot <umeabot> 1.12.13-26.mga6
+ Revision: 932763
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.12.13-25.mga5
+ Revision: 745215
- Second Mageia 5 Mass Rebuild

* Wed Sep 17 2014 tv <tv> 1.12.13-24.mga5
+ Revision: 693157
- really requires exception

* Tue Sep 16 2014 umeabot <umeabot> 1.12.13-23.mga5
+ Revision: 678647
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.12.13-22.mga4
+ Revision: 503782
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.12.13-21.mga3
+ Revision: 348517
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 sander85 <sander85> 1.12.13-20.mga3
+ Revision: 279436
- Fix BR for texi2dvi.

* Thu Mar 29 2012 luigiwalser <luigiwalser> 1.12.13-19.mga2
+ Revision: 227438
- BuildRequires vim-minimal to fix build error
- build with system zlib to fix build error
- add patch for CVE-2012-0804 (from redhat)

* Tue Jan 11 2011 blino <blino> 1.12.13-18.mga1
+ Revision: 5745
- update comment
- imported package cvs


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.13-17mdv2011.0
+ Revision: 603880
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 1.12.13-16mdv2010.1
+ Revision: 518992
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 1.12.13-15mdv2010.0
+ Revision: 413297
- rebuild

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12.13-14mdv2009.1
+ Revision: 316489
- make it build with -Werror=format-security (P8)

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 1.12.13-13mdv2009.0
+ Revision: 220551
- rebuild

* Thu Jan 24 2008 Oden Eriksson <oeriksson@mandriva.com> 1.12.13-12mdv2008.1
+ Revision: 157340
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild with fixed %%serverbuild macro

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.12.13-10mdv2008.1
+ Revision: 149158
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Jul 10 2007 Andreas Hasenack <andreas@mandriva.com> 1.12.13-9mdv2008.0
+ Revision: 51048
- really disable FORTIFY_SOURCE, and add a comment about the reason

* Wed Jul 04 2007 Andreas Hasenack <andreas@mandriva.com> 1.12.13-8mdv2008.0
+ Revision: 48212
- rebuild with new serverbuild macro (-fstack-protector-all)

* Sun Apr 22 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.12.13-7mdv2008.0
+ Revision: 17106
- Rebuild


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12.13-6mdv2007.0
+ Revision: 53162
- rebuild
- Import cvs

* Sun May 28 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12.13-5mdk
- Add patch 7, fix hang when using zlib (#21395)

* Sun May 21 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12.13-4mdk
- rebuild as this seems to fix the freeze issue with ssh
  (simetimes trying to ubderstand is useless...)

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 1.12.13-3mdk
- rebuild for sparc

* Fri Feb 24 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12.13-2mdk
- disable FORTIFY as it make cvs not working (workaround)

* Wed Feb 22 2006 Olivier Thauvin <nanardon@mandriva.org> 1.12.13-1mdk
- 1.12.13 (devel branch)
- rediff patch2
- remove patch1,3 (not need anymore)

* Fri Feb 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.11.21-3mdk
- add BuildRequires: tetex-latex tetex-dvips groff

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.21-2mdk
- fix deps

* Thu Dec 29 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.21-1mdk
- 1.11.21
- drop upstream patches, reorder source and patches

* Wed Sep 14 2005 Frederic Lepied <flepied@mandriva.com> 1.11.19-6mdk
- security fix for cvsbug

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.11.19-5mdk
- varargs fixes (potential bugs but harmless here, x86_64)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.11.19-4mdk
- fix rpmlint errors (PreReq)

* Fri Aug 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.11.19-3mdk
- fix rpmlint errors (PreReq)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.11.19-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu Feb 03 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.11.19-1mdk
- removed broken patch14 (bug #13118)
- New release 1.11.19

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.17-2mdk
- use the correct S1

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.17-1mdk
- security release that addresses CAN-2004-0414, CAN-2004-0416,
  CAN-2004-0417 and CAN-2004-0418
- fixed P14
- misc spec file fixes

* Wed Jun 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.16-2mdk
- use a clean(er) build env (fix #9924)

* Mon May 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.11.16-1mdk
- 1.11.16 (fixes CAN-2004-0396)

* Sat May 01 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.15-2mdk
- unset TMP and TMPDIR in cvspserver script (bug #9573)

* Tue Apr 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.11.15-1mdk
- new version

